summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Stefan Beckert2012-04-15 17:37:09 +0200
committer Erik Hanson2012-04-16 12:35:57 +0200
commitca67d5362eceeb83ebdc0d51c739aacffa6baab0 (patch)
treef3e990351748a0858ebe4306050687ec712f0ca9
parent5b85cc87420e57ce670afce8b733e3395a336c3e (diff)
downloadslackbuilds-ca67d5362eceeb83ebdc0d51c739aacffa6baab0.tar.gz
libraries/libmodbus: Added (fast and portable Modbus library)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--libraries/libmodbus/README5
-rw-r--r--libraries/libmodbus/libmodbus.SlackBuild94
-rw-r--r--libraries/libmodbus/libmodbus.info10
-rw-r--r--libraries/libmodbus/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/libraries/libmodbus/README b/libraries/libmodbus/README
new file mode 100644
index 0000000000..cdde84eae3
--- /dev/null
+++ b/libraries/libmodbus/README
@@ -0,0 +1,5 @@
+libmodbus (a fast and portable Modbus library)
+
+libmodbus is a free software library to send/receive data according
+to the Modbus protocol. This library is written in C and supports
+RTU (serial) and TCP (Ethernet) communications.
diff --git a/libraries/libmodbus/libmodbus.SlackBuild b/libraries/libmodbus/libmodbus.SlackBuild
new file mode 100644
index 0000000000..844de2f260
--- /dev/null
+++ b/libraries/libmodbus/libmodbus.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for libmodbus
+
+# Copyright (c) 2012 Stefan Beckert, Mitwitz, Germany
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
+PRGNAM=libmodbus
+VERSION=${VERSION:-3.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* MIGRATION NEWS README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libmodbus/libmodbus.info b/libraries/libmodbus/libmodbus.info
new file mode 100644
index 0000000000..ab354ec9e9
--- /dev/null
+++ b/libraries/libmodbus/libmodbus.info
@@ -0,0 +1,10 @@
+PRGNAM="libmodbus"
+VERSION="3.0.2"
+HOMEPAGE="http://www.libmodbus.org"
+DOWNLOAD="http://github.com/downloads/stephane/libmodbus/libmodbus-3.0.2.tar.gz"
+MD5SUM="1aaacce9d9779d3a84f7d1a75774c943"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Stefan Beckert"
+EMAIL="becki@web.de"
+APPROVED="dsomero"
diff --git a/libraries/libmodbus/slack-desc b/libraries/libmodbus/slack-desc
new file mode 100644
index 0000000000..1615f63bad
--- /dev/null
+++ b/libraries/libmodbus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libmodbus: libmodbus (a fast and portable Modbus library)
+libmodbus:
+libmodbus: libmodbus is a free software library to send/receive data according
+libmodbus: to the Modbus protocol. This library is written in C and supports
+libmodbus: RTU (serial) and TCP (Ethernet) communications.
+libmodbus:
+libmodbus: Homepage: http://www.libmodbus.org
+libmodbus:
+libmodbus:
+libmodbus:
+libmodbus: